%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-msc
Version:          1.2.0
Release:          0.3%{namedreltag}%{?dist}
Summary:          JBoss Modular Service Container
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-msc
Source0:          https://github.com/jbossas/jboss-msc/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    javassist
BuildRequires:    jboss-parent
BuildRequires:    junit4
BuildRequires:    byteman
BuildRequires:    jboss-logging
BuildRequires:    jboss-vfs
BuildRequires:    jboss-threads
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-modules
BuildRequires:    apiviz

%description
This package contains the JBoss Modular Service Container.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-msc-%{namedversion}

%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-surefire-plugin']/pom:executions/pom:execution[pom:id = 'rejected-execution-test']/pom:configuration/pom:argLine"
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-surefire-plugin']/pom:executions/pom:execution[pom:id = 'rejected-execution-test']/pom:configuration" "<argLine>-Xbootclasspath/a:$(build-classpath jboss-logmanager) -- -javaagent:$(build-classpath byteman/byteman)=boot:$(build-classpath byteman/byteman),script:\${project.build.testOutputDirectory}/org/jboss/msc/racecondition/RejectedExecutionTestCase.btm</argLine>"

%build
# Some failed tests, most probably because network limitations on Koji
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-0.3.Beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.2.0-0.2.Beta1
- Disabled tests

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.2.0-0.1.Beta1
- Upstream release 1.2.0.Beta1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.2-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-3
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Upstream release 1.0.2.GA
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.1-1
- Upstream release: 1.0.1.GA
- Cleaned spec file

* Thu Aug 04 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

